
/**
 * router/index.ts
 *
 * Automatic routes for `./src/pages/*.vue`
 */

// Composables
import { createRouter, createWebHistory } from 'vue-router'

import HomeView from '@/views/HomeView.vue'
import ProfileView from '@/views/ProfileView.vue'
import StreamsListView from '@/views/StreamsListView.vue'
import StreamCreateView from '@/views/StreamCreateView.vue'
import StreamDetailView from '@/views/StreamDetailView.vue'
import RestreamsListView from '@/views/RestreamsListView.vue'

const routes = [
  {
    path: '/',
    name: 'HomeView',
    component: HomeView,
  },
  {
    path: '/profile',
    name: 'ProfileView',
    component: ProfileView,
  },
  {
    path: '/streams',
    name: 'StreamsListView',
    component: StreamsListView,
  },
  {
    path: '/streams/new',
    name: 'StreamCreateView',
    component: StreamCreateView,
  },
  {
    path: '/streams/:id',
    name: 'StreamDetailView',
    component: StreamDetailView,
    props: true,
  },
  {
    path: '/restreams',
    name: 'RestreamsListView',
    component: RestreamsListView,
  },
]

const router = createRouter({
  history: createWebHistory(process.env.BASE_URL),
  routes,
})

export default router
